Package ru.bitel.bgbilling.modules.inet.common.bean

# Class TrafficRangeDetail

java.lang.Object
ru.bitel.bgbilling.modules.inet.common.bean.TrafficRangeDetail

    public class TrafficRangeDetail
    extends java.lang.Object

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static int` | `MODE_ACCOUNTING_PERIOD` |
  `static int` | `MODE_DAY` |
  `static int` | `MODE_HOUR` |
  `static int` | `MODE_MONTH` |
  `static int` | `MODE_NON_PERSISTENT_ACCOUNTING_PERIOD` |
  `static int` | `MODE_NON_PERSISTENT_DAY` |
  `static int` | `MODE_NON_PERSISTENT_HOUR` |
  `static int` | `MODE_NON_PERSISTENT_MONTH` |
  `static int` | `MODE_NON_PERSISTENT_TARIFF_OPTION` |
  `static int` | `MODE_TARIFF_OPTION` |
  `static int` | `TYPE_RANGE` |
  `static int` | `TYPE_RESTRICTION` |

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `TrafficRangeDetail()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `long` | `getAmount()` |
  `int` | `getDay()` |
  `int` | `getHour()` |
  `void` | `setAmount​(long amount)` |
  `void` | `setDay​(int day)` |
  `void` | `setHour​(int hour)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### TYPE_RANGE

    public static final int TYPE_RANGE
    See Also:
      Constant Field Values

  - ### TYPE_RESTRICTION

    public static final int TYPE_RESTRICTION
    See Also:
      Constant Field Values

  - ### MODE_ACCOUNTING_PERIOD

    public static final int MODE_ACCOUNTING_PERIOD
    See Also:
      Constant Field Values

  - ### MODE_MONTH

    public static final int MODE_MONTH
    See Also:
      Constant Field Values

  - ### MODE_DAY

    public static final int MODE_DAY
    See Also:
      Constant Field Values

  - ### MODE_HOUR

    public static final int MODE_HOUR
    See Also:
      Constant Field Values

  - ### MODE_TARIFF_OPTION

    public static final int MODE_TARIFF_OPTION
    See Also:
      Constant Field Values

  - ### MODE_NON_PERSISTENT_ACCOUNTING_PERIOD

    public static final int MODE_NON_PERSISTENT_ACCOUNTING_PERIOD
    See Also:
      Constant Field Values

  - ### MODE_NON_PERSISTENT_MONTH

    public static final int MODE_NON_PERSISTENT_MONTH
    See Also:
      Constant Field Values

  - ### MODE_NON_PERSISTENT_DAY

    public static final int MODE_NON_PERSISTENT_DAY
    See Also:
      Constant Field Values

  - ### MODE_NON_PERSISTENT_HOUR

    public static final int MODE_NON_PERSISTENT_HOUR
    See Also:
      Constant Field Values

  - ### MODE_NON_PERSISTENT_TARIFF_OPTION

    public static final int MODE_NON_PERSISTENT_TARIFF_OPTION
    See Also:
      Constant Field Values

- ## Constructor Details

  - ### TrafficRangeDetail

    public TrafficRangeDetail()

- ## Method Details

  - ### getDay

    public int getDay()

  - ### setDay

    public void setDay​(int day)

  - ### getHour

    public int getHour()

  - ### setHour

    public void setHour​(int hour)

  - ### getAmount

    public long getAmount()

  - ### setAmount

    public void setAmount​(long amount)